org.apache.ignite.internal.processors.cache.persistence.wal.io

## Class SimpleSegmentFileInputFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.io.SimpleSegmentFileInputFactory

All Implemented Interfaces:
  SegmentFileInputFactory

    public class SimpleSegmentFileInputFactory
    extends Object
    implements SegmentFileInputFactory

Simple implementation of `SegmentFileInputFactory`.

### Constructor Summary

Constructors
Constructor and Description
`SimpleSegmentFileInputFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileInput` `createFileInput(SegmentIO segmentIO, ByteBufferExpander buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleSegmentFileInputFactory

    public SimpleSegmentFileInputFactory()

### Method Detail

#### createFileInput

    public FileInput createFileInput(SegmentIO segmentIO,
                                     ByteBufferExpander buf)
                              throws IOException

Specified by:
  `createFileInput` in interface `SegmentFileInputFactory`
Parameters:
  `segmentIO` - FileIO of segment for reading.
  `buf` - ByteBuffer wrapper for dynamically expand buffer size.
Returns:
  Instance of `FileInput`.
Throws:
  `IOException` - If have some trouble with I/O.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019